# Modifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class Modifier`Abstract`

#### Hierarchy (View Summary)

- Modifier
  - PersistentModifier
  - ConsumableModifier

- Defined in src/modifier/modifier.ts:158

##### Index

### Constructors

constructor

### Properties

type

### Methods

apply
match
shouldApply

## Constructors

### constructor

- new Modifier(type: ModifierType ): Modifier

  #### Parameters

  - type: ModifierType

  #### Returns Modifier

  - Defined in src/modifier/modifier.ts:161

## Properties

### type

type: ModifierType

- Defined in src/modifier/modifier.ts:159

## Methods

### `Abstract` apply

- apply(...args: unknown[]): boolean

  Handles applying of Modifier

  #### Parameters

  - ...args: unknown[]

    collection of all passed parameters

  #### Returns boolean

  - Defined in src/modifier/modifier.ts:182

### match

- match(_modifier: Modifier ): boolean

  #### Parameters

  - _modifier: Modifier

  #### Returns boolean

  - Defined in src/modifier/modifier.ts:165

### shouldApply

- shouldApply(..._args: unknown[]): boolean

  Checks if Modifier should be applied

  #### Parameters

  - ..._args: unknown[]

    parameters passed to `Modifier.apply`

  #### Returns boolean

  always `true` by default

  - Defined in src/modifier/modifier.ts:174